
Figure - 开发 Dev #114187
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110638 (解决 Resolved): 【MK】【008】【BOOT】主任务

【MK】【008】【BOOT】【TC-RID: 1201-0100803】创建工厂分支
2022-11-29 10:50 - CD BSP-唐金泽

Status: 进行中 In Progress Start date: 2022-11-29

Priority: Normal Due date: 2022-12-15

Assignee: CD TPM-王祥林 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Description

产测版本，初步说明：

1.基于V4.0交付内容拉取分支；

2.去除开机启动动画；

3.使用user版本内核config文件（启动时间加快）；

4.adb和串口功能启用；

5.TSNV功能标志位使用OK；

6.获取MCU版本接口功能OK；

History

#1 - 2023-03-10 11:07 - CD TPM-王祥林

- Assignee changed from CD BSP-唐金泽 to CD TPM-王祥林

新的ftm分支拉出来了

Pre_figure_turbox-c2130c-la1.1-vendor-ftm_v0081.xml

Pre_figure_turbox-c2130c-la1.1-qssi12-ftm_v0081.xml

需要检查是否需要合入的提交如下：

https://thundersoft.feishu.cn/sheets/shtcnjG9L0jr3Wizd2YIwQUeDDh

#2 - 2023-03-10 11:07 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_V4.0_20221128 to VC1_FSE_0082_20230314

#3 - 2023-03-10 11:43 - CD BSP-杜磊

BSP相关修改如下：

https://dev.thundercomm.com/gerrit/q/branch:Pre_figure_turbox-c2130c-la1.1-vendor-ftm_v0081

#4 - 2023-03-10 13:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186791 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0081

dulei0503@thundersoft.com
https://thundersoft.feishu.cn/sheets/shtcnjG9L0jr3Wizd2YIwQUeDDh
https://dev.thundercomm.com/gerrit/q/branch:Pre_figure_turbox-c2130c-la1.1-vendor-ftm_v0081


BSP:FTM: Config User Kernel in FTM Userdebug BaseLineconfig user kernel in FTM userdebug baselineTC-RID: 1201-0100803IssueID:

TS-R-DF-114187Change-Id: Id9ee3d570ed78e853056c9e28d93cd5ddca4acf3(cherry picked from commit d3e075f1d15eec6c85cce144b7b89cbf681c7eaa)

#5 - 2023-03-10 13:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186840 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0081

dulei0503@thundersoft.com

BSP:FTM: Add A2B chipset factory testadb shell tc_ftm_a2b_tool.shOutput: 0x28TC-RID: 1201-0100803IssueID: TS-R-DF-114187Change-Id:

Icb8cb1b1de074735fb0bef93a4ec51ccb67f7671

#6 - 2023-03-10 15:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186881 general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0081

wangxl0510@thundersoft.com

AF: TestTools: Add BurnInTest Application for factory testTC-RID: 1201-0204501IssueID: TS-R-DF-114187Change-Id:

I95a5b5e2f7c883f5a27616b96cf34243363c5874

#7 - 2023-03-10 17:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186948 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0081

dulei0503@thundersoft.com

BSP:FTM: Add A2B chipset factory test2adb shell tc_ftm_a2b_tool.shOutput: 0x28TC-RID: 1201-0100803IssueID: TS-R-DF-114187Change-Id:

I6c051b5ee3d74cbd78866be28b224bca8424966a

#8 - 2023-03-14 19:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186870 general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF: TestTools: Add BurnInTest Application for factory testTC-RID: 1201-0204501IssueID: TS-R-DF-114187Change-Id:
I95a5b5e2f7c883f5a27616b96cf34243363c5874

#9 - 2023-03-14 23:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187532 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0081

wangxl0510@thundersoft.com

MM: Audio: Disable audio focus feature in ftm branch.Disable FSE audio focus control in ftm branch.TC-RID: 0301-0900116IssueID:

TS-R-DF-114187Change-Id: Idb2da0d6db7549fb4c5bfd97220b266433a9e652

#10 - 2023-03-29 20:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190846 general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF: TestTools: Fix video can not loop in BurnInTest Application for factory testTC-RID: 1201-0204501IssueID: TS-R-DF-114187Change-Id:

I9986932a47363b9458de781f21785c0fdb976f43

#11 - 2023-04-16 11:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193968 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0090

wangxl0510@thundersoft.com

MM: Audio: Disable audio focus feature in ftm branch.Disable FSE audio focus control in ftm branch.TC-RID: 0301-0900116IssueID:

TS-R-DF-114187Change-Id: Idb2da0d6db7549fb4c5bfd97220b266433a9e652(cherry picked from commit d8ec5b9183fb1d8ef11843453f2ab47bfa887c01)

#12 - 2023-04-17 10:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193706 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0090

dulei0503@thundersoft.com
BSP:FTM: Config User Kernel in FTM Userdebug BaseLineconfig user kernel in FTM userdebug baselineTC-RID: 1201-0100803IssueID:

TS-R-DF-114187Change-Id: Id9ee3d570ed78e853056c9e28d93cd5ddca4acf3(cherry picked from commit d3e075f1d15eec6c85cce144b7b89cbf681c7eaa)(cherry

picked from commit 268febdddb294de3fe3d5c4277b648e31016a67e)

#13 - 2023-04-17 10:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193707 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0090

dulei0503@thundersoft.com

BSP:FTM: Add A2B chipset factory testadb shell tc_ftm_a2b_tool.shOutput: 0x28TC-RID: 1201-0100803IssueID: TS-R-DF-114187Change-Id:

Icb8cb1b1de074735fb0bef93a4ec51ccb67f7671(cherry picked from commit a89b3fd3e462bdccd0743cbd2bdccafd8643286a)

#14 - 2023-05-03 16:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197318 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0095

wangxl0510@thundersoft.com

Revert MM: Audio: offload disableTC-RID: 0301-0900116IssueID: TS-R-DF-114187This reverts commit

194571f48563f4bb3a0398e9b3fba4cd03a3e028.Change-Id: I55b9bcd44184c23026d9a3c90348a9f9e18ed152

#15 - 2023-05-03 16:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197288 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0095

wangxl0510@thundersoft.com

MM: Audio: Disable audio focus feature in ftm branch.Disable FSE audio focus control in ftm branch.TC-RID: 0301-0900116IssueID:

TS-R-DF-114187Change-Id: Idb2da0d6db7549fb4c5bfd97220b266433a9e652(cherry picked from commit d8ec5b9183fb1d8ef11843453f2ab47bfa887c01)(cherry

picked from commit 04def52592154542fffa47ff6e3bf24946d474ae)

#16 - 2023-05-04 11:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197297 general/vendor/thundercomm/produc
ts/figure r-ftm_v0095

BSP:FTM: Config User Kernel in FTM Userdebug BaseLineconfig user kernel in FTM userdebug baselineTC-RID: 1201-0100803IssueID:

TS-R-DF-114187Change-Id: Id9ee3d570ed78e853056c9e28d93cd5ddca4acf3(cherry picked from commit d3e075f1d15eec6c85cce144b7b89cbf681c7eaa)(cherry

picked from commit 268febdddb294de3fe3d5c4277b648e31016a67e)(cherry picked from commit e60aea97f37304a4833872498612500f16927e1f)

#17 - 2023-05-04 11:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197298 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_v0095

dulei0503@thundersoft.com

BSP:FTM: Add A2B chipset factory testadb shell tc_ftm_a2b_tool.shOutput: 0x28TC-RID: 1201-0100803IssueID: TS-R-DF-114187Change-Id:

Icb8cb1b1de074735fb0bef93a4ec51ccb67f7671(cherry picked from commit a89b3fd3e462bdccd0743cbd2bdccafd8643286a)(cherry picked from commit

67b7eb6c794556784c07cbda322e2d644b19fa35)

#18 - 2023-05-09 17:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198092 general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF: TestTools: BurnInTest will run again after power on even if result was success.TC-RID: 1201-0204501IssueID: TS-R-DF-114187Change-Id:

I59a1f05fad71633acaabc704d42e07a12c234a64

#19 - 2023-05-27 17:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202533 general/platform/build/soong Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wangxl0510@thundersoft.com

AF:Build:Delete test script to avoid building blocked in 99%.TC-RID: 1201-0101401IssueID: TS-R-DF-114187Change-Id:

I7d3ec38e6412c0b4f86999e6cc2fd4a775396470

2025-07-04 5/6



#20 - 2023-05-27 17:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202535 general/platform/build/soong Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF:Build:Delete test script to avoid building blocked in 99%.TC-RID: 1201-0101401IssueID: TS-R-DF-114187Change-Id:

I7d3ec38e6412c0b4f86999e6cc2fd4a775396470
